searchNodes=[{"doc":"This Kino allows rendering a regular MapLibre map and then adds an initial support for the Evented API to update the map with event capabilities. There are two types of maps: static and dynamic. Essentially, a dynamic map can be updated on the fly without having to be re-evaluated. To make a map dynamic you need to wrap it in Kino.MapLibre.new/1 All functions are available for both map types. Examples map = Ml . new ( center : { - 68.13734351262877 , 45.137451890638886 } , zoom : 3 ) # This makes the map dynamic |&gt; Kino.MapLibre . new ( ) # These markers will be added with no need to re-evaluate the map Kino.MapLibre . add_marker ( map , { - 68 , 45 } , color : &quot;red&quot; , draggable : true ) Kino.MapLibre . add_marker ( map , { - 69 , 50 } ) # This is a static map and the markers will be added on evaluation Ml . new ( center : { - 68.13734351262877 , 45.137451890638886 } , zoom : 3 ) |&gt; Kino.MapLibre . add_marker ( { - 68 , 45 } , color : &quot;red&quot; , draggable : true ) |&gt; Kino.MapLibre . add_marker ( { - 69 , 50 } )","ref":"Kino.MapLibre.html","title":"Kino.MapLibre","type":"module"},{"doc":"Adds an image to the style. This image can be displayed on the map like any other icon in the style's sprite using its ID","ref":"Kino.MapLibre.html#add_custom_image/3","title":"Kino.MapLibre.add_custom_image/3","type":"function"},{"doc":"A helper function to create a per feature hover effect. Receives the ID of the layer where the effect should be enabled. It uses events and feature states to create the effect. Examples Kino.MapLibre . add_hover ( map , &quot;state-fills&quot; ) See the docs for more details.","ref":"Kino.MapLibre.html#add_hover/2","title":"Kino.MapLibre.add_hover/2","type":"function"},{"doc":"Adds a marker to the map at the given location Options :element - DOM element to use as a marker. The default is a light blue, droplet-shaped SVG marker. :anchor - A string indicating the part of the Marker that should be positioned closest to the coordinate set via Marker#setLngLat. Options are &quot;center&quot;, &quot;top&quot;, &quot;bottom&quot;, &quot;left&quot;, &quot;right&quot;, &quot;top-left&quot;, &quot;top-right&quot;, &quot;bottom-left&quot; and &quot;bottom-right&quot;. Default: &quot;center&quot; :offset - The offset in pixels as a PointLike object to apply relative to the element&quot;s center. Negatives indicate left and up. :color - The color to use for the default marker if :element is not provided. The default is light blue. Default: &quot;#3FB1CE&quot; :scale - The scale to use for the default marker if :element is not provided. The default scale corresponds to a height of 41px and a width of 27px. Default: 1 :draggable - A boolean indicating whether or not a marker is able to be dragged to a new position on the map. Default: false :click_tolerance - The max number of pixels a user can shift the mouse pointer during a click on the marker for it to be considered a valid click (as opposed to a marker drag). The default is to inherit map&quot;s :click_tolerance . Default: 0 :rotation - The rotation angle of the marker in degrees, relative to its respective :rotation_alignment setting. A positive value will rotate the marker clockwise. Default: 0 :pitch_alignment - &quot;map&quot; aligns the marker to the plane of the map. &quot;viewport&quot; aligns the marker to the plane of the viewport. &quot;auto&quot; automatically matches the value of :rotation_alignment . Default: &quot;auto&quot; :rotation_alignment - &quot;map&quot; aligns the marker&quot;s rotation relative to the map, maintaining a bearing as the map rotates. &quot;viewport&quot; aligns the marker&quot;s rotation relative to the viewport, agnostic to map rotations. &quot;auto&quot; is equivalent to viewport. Default: &quot;auto&quot; See the docs for more details.","ref":"Kino.MapLibre.html#add_marker/3","title":"Kino.MapLibre.add_marker/3","type":"function"},{"doc":"Receives a list of markers and adds them to the map Examples markers = [ [ { 0 , 0 } , color : &quot;red&quot; , draggable : true ] , [ { - 32 , 2 } , color : &quot;green&quot; ] , [ { - 45 , 23 } ] ] Ml . new ( center : { - 68.13734351262877 , 45.137451890638886 } , zoom : 3 ) |&gt; Kino.MapLibre . add_markers ( markers )","ref":"Kino.MapLibre.html#add_markers/2","title":"Kino.MapLibre.add_markers/2","type":"function"},{"doc":"Adds a navigation control to the map. A navigation control contains zoom buttons and a compass. Options :show_compass - If true the compass button is included. Default: true :show_zoom - If true the zoom-in and zoom-out buttons are included. Default: true :visualize_pitch - If true the pitch is visualized by rotating X-axis of compass. Default: false :position - The position on the map to which the control will be added. Valid values are &quot;top-left&quot; , &quot;top-right&quot; , &quot;bottom-left&quot; , and &quot;bottom-right&quot; . Defaults to &quot;top-right&quot;. Default: &quot;top-right&quot; You can add multiple controls separately to have granular options over positioning and appearance Examples Kino.MapLibre . add_nav_controls ( map , show_compass : false ) Kino.MapLibre . add_nav_controls ( map , show_zoom : false , position : &quot;top-left&quot; )","ref":"Kino.MapLibre.html#add_nav_controls/2","title":"Kino.MapLibre.add_nav_controls/2","type":"function"},{"doc":"A helper function that adds the event of centering to coordinates when clicking on a symbol. Receives the ID of the symbols layer and adds the event to all the symbols present in that layer","ref":"Kino.MapLibre.html#center_on_click/2","title":"Kino.MapLibre.center_on_click/2","type":"function"},{"doc":"A helper function to allow inspect a cluster on click. Receives the ID of the clusters layer Examples Kino.MapLibre . clusters_expansion ( map , &quot;earthquakes-clusters&quot; )","ref":"Kino.MapLibre.html#clusters_expansion/2","title":"Kino.MapLibre.clusters_expansion/2","type":"function"},{"doc":"A helper function that adds the event to show the information of a given property on click. Receives the layer ID and the name of the property to show.","ref":"Kino.MapLibre.html#info_on_click/3","title":"Kino.MapLibre.info_on_click/3","type":"function"},{"doc":"Jumps to a given location using an animated transition","ref":"Kino.MapLibre.html#jump_to/3","title":"Kino.MapLibre.jump_to/3","type":"function"},{"doc":"Creates a new kino with the given MapLibre style.","ref":"Kino.MapLibre.html#new/1","title":"Kino.MapLibre.new/1","type":"function"},{"doc":"","ref":"Kino.MapLibre.html#t:location/0","title":"Kino.MapLibre.location/0","type":"type"},{"doc":"","ref":"Kino.MapLibre.html#t:maplibre/0","title":"Kino.MapLibre.maplibre/0","type":"type"},{"doc":"","ref":"Kino.MapLibre.html#t:t/0","title":"Kino.MapLibre.t/0","type":"type"},{"doc":"Mix . install ( [ { :maplibre , &quot;~&gt; 0.1.0&quot; } , { :kino_maplibre , &quot;~&gt; 0.1.0&quot; } ] ) alias MapLibre , as : Ml","ref":"components.html","title":"Components","type":"extras"},{"doc":"MapLibre This integration automatically renders the MapLibre struct as a map: Ml . new ( center : { - 90.73414 , 14.55524 } , zoom : 13 , style : &quot;https://api.maptiler.com/maps/basic/style.json?key=get_your_own_OpIi9ZULNHzrESv6T2vL&quot; ) |&gt; Ml . update_layer ( &quot;building&quot; , paint : [ fill_color : [ &quot;interpolate&quot; , [ &quot;exponential&quot; , 0.5 ] , [ &quot;zoom&quot; ] , 15 , &quot;#e2714b&quot; , 22 , &quot;#eee695&quot; ] , fill_opacity : [ &quot;interpolate&quot; , [ &quot;exponential&quot; , 0.5 ] , [ &quot;zoom&quot; ] , 15 , 0 , 22 , 1 ] ] ) Kino.MapLibre Kino.MapLibre allows you to render a regular MapLibre map and then adds an initial support for the Evented API to update the map. There are two types of maps: static and dynamic. Essentially, a dynamic map can be updated on the fly without having to be re-evaluated. To make a map dynamic you need to wrap it in Kino.MapLibre.new/1 : map = Ml . new ( center : { - 68.13734351262877 , 45.137451890638886 } , zoom : 3 ) |&gt; Kino.MapLibre . new ( ) Having our dynamic map, we can now add new markers to the map at any point: Kino.MapLibre . add_marker ( map , { - 69 , 50 } ) Kino.MapLibre . add_marker ( map , { - 68 , 45 } , color : &quot;red&quot; , draggable : true ) All manipulation functions are available for the static map as well. We just need to build it at once: Ml . new ( center : { - 68.13734351262877 , 45.137451890638886 } , zoom : 3 ) |&gt; Kino.MapLibre . add_marker ( { - 68 , 45 } , color : &quot;red&quot; , draggable : true ) |&gt; Kino.MapLibre . add_marker ( { - 69 , 50 } ) You can make a static map dynamic at any moment wrapping it in Kino.MapLibre.new/1 map = Ml . new ( center : { - 68.13734351262877 , 45.137451890638886 } , zoom : 3 ) # These markers will appear on the initial map render |&gt; Kino.MapLibre . add_marker ( { - 68 , 45 } , color : &quot;red&quot; , draggable : true ) |&gt; Kino.MapLibre . add_marker ( { - 69 , 50 } ) # This makes the map dynamic for further interactions |&gt; Kino.MapLibre . new ( ) Let's add navigation controls on the fly! Kino.MapLibre . add_nav_controls ( map )","ref":"components.html#kinos","title":"Components - Kinos","type":"extras"},{"doc":"The following Smart cells are available: Map cell - for building maps with geojson data","ref":"components.html#smart-cells","title":"Components - Smart cells","type":"extras"}]